# Created by pyp2rpm-3.3.3
%global pypi_name lz4

%bcond_with docs
%bcond_with tests

Name:           python-%{pypi_name}
Version:        3.1.10
Release:        %mkrel 1
Summary:        LZ4 Bindings for Python
Group:          Development/Python
License:        None
URL:            https://github.com/python-lz4/python-lz4
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.xz

BuildRequires:  python3-devel
BuildRequires:  python3-flake8
BuildRequires:  python3-pkgconfig
BuildRequires:  python3-setuptools
# for docs
%if %{with docs}
BuildRequires:  python3dist(sphinx) >= 1.6.0
BuildRequires:  python3dist(sphinx-bootstrap-theme)
BuildRequires:  python3dist(sphinx)
%endif
# for tests
%if %{with tests}
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-runner)
%endif

%description
This package provides python bindings for the LZ4 compression library.

The bindings provided in this package cover the frame format, the block format, and the
streaming format specifications. The frame format bindings are the recommended ones to use,
as this guarantees interoperability with other implementations and language bindings.

The API provided by the frame format bindings follows that of the LZMA, zlib, gzip and bzip2
compression libraries which are provided with the Python standard library. As such, these
LZ4 bindings should provide a drop-in alternative to the compression libraries shipped with
Python. The package provides context managers and file handler support.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides python bindings for the LZ4 compression library.

The bindings provided in this package cover the frame format, the block format, and the
streaming format specifications. The frame format bindings are the recommended ones to use,
as this guarantees interoperability with other implementations and language bindings.

The API provided by the frame format bindings follows that of the LZMA, zlib, gzip and bzip2
compression libraries which are provided with the Python standard library. As such, these
LZ4 bindings should provide a drop-in alternative to the compression libraries shipped with
Python. The package provides context managers and file handler support.

%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# build egg-info
%py3_build_egg
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%if %{with docs}
%doc html
%endif
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Apr 14 2022 TerryN <terryn94 at gmail.com> 3.1.10-1pclos2022
- update and rebuild for python 3.10

* Wed Dec 30 2020 tex - 3.0.2-1pclos2020
- create pkg
